Bug 112210 - All files in webapp for binary RPMs have execute permissions turned on
Summary: All files in webapp for binary RPMs have execute permissions turned on
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106481
TreeView+ depends on / blocked
 
Reported: 2003-12-16 09:37 UTC by Daniel Berrange
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 16:39:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-12-16 09:37:21 UTC
Description of problem:
Go into the webapp dir in /usr/share/java/webapps/[appname] and look
at any files. They all have execute permission turned on:

[root@staging01 ccm-ldn-theme]# cd
/usr/share/java/webapps/ccm-ldn-theme-1.0.0/
[root@staging01 ccm-ldn-theme-1.0.0]# find -type f | xargs ls -l
-rwxr-xr-x    1 servlet  servlet      1340 Dec 16 09:34
./ccm-ldn-theme/__ccm__/apps/theme/xsl/action-group.xsl
-rwxr-xr-x    1 servlet  servlet      2066 Dec  5 17:11
./ccm-ldn-theme/__ccm__/apps/theme/xsl/index.xsl
-rwxr-xr-x    1 servlet  servlet      2372 Dec 16 09:34
./ccm-ldn-theme/__ccm__/apps/theme/xsl/layout-panel.xsl
-rwxr-xr-x    1 servlet  servlet       688 Dec 16 09:34
./ccm-ldn-theme/__ccm__/apps/theme/xsl/section.xsl
-rwxr-xr-x    1 servlet  servlet       893 Dec  5 17:11
./ccm-ldn-theme/templates/ccm-ldn-theme/index.jsp
-rwxr-xr-x    1 servlet  servlet     12236 Dec  5 17:11
./ccm-ldn-theme/WEB-INF/bebop-define.tld
-rwxr-xr-x    1 servlet  servlet      3422 Dec  5 17:11
./ccm-ldn-theme/WEB-INF/bebop-show.tld
-rwxr-xr-x    1 servlet  servlet      1110 Dec  5 17:11
./ccm-ldn-theme/WEB-INF/web.xml
[root@staging01 ccm-ldn-theme-1.0.0]# 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This appears to be set by the RPM spec file:

%attr(0755,servlet,servlet) %{webappdir}

Should instead be

%attr(0644,servlet,servlet) %{webappdir}

Comment 1 Dennis Gregorovic 2003-12-16 17:34:13 UTC
@ 38861 

Comment 2 Dennis Gregorovic 2005-03-17 16:39:55 UTC
closing old tickets


Note You need to log in before you can comment on or make changes to this bug.